<?php
/*************************************************************************************/
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/

namespace ArtabanMarketplace\Event\Base;

use Thelia\Core\Event\ActionEvent;
use ArtabanMarketplace\Model\AmpSellerImage;

/**
* Class AmpSellerImageEvent
* @package ArtabanMarketplace\Event\Base
*/
class AmpSellerImageEvent extends ActionEvent
{
    protected $id;
    protected $ampSellerId;
    protected $file;
    protected $visible;
    protected $position;
    protected $title;
    protected $description;
    protected $chapo;
    protected $postscriptum;
    protected $ampSellerImage;
    protected $locale;

    public function getLocale()
    {
        return $this->locale;
    }

    public function setLocale($v)
    {
        $this->locale = $v;

        return $this;
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    public function getAmpSellerId()
    {
        return $this->ampSellerId;
    }

    public function setAmpSellerId($ampSellerId)
    {
        $this->ampSellerId = $ampSellerId;

        return $this;
    }

    public function getFile()
    {
        return $this->file;
    }

    public function setFile($file)
    {
        $this->file = $file;

        return $this;
    }

    public function getVisible()
    {
        return $this->visible;
    }

    public function setVisible($visible)
    {
        $this->visible = $visible;

        return $this;
    }

    public function getPosition()
    {
        return $this->position;
    }

    public function setPosition($position)
    {
        $this->position = $position;

        return $this;
    }

    public function getTitle()
    {
        return $this->title;
    }

    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    public function getDescription()
    {
        return $this->description;
    }

    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    public function getChapo()
    {
        return $this->chapo;
    }

    public function setChapo($chapo)
    {
        $this->chapo = $chapo;

        return $this;
    }

    public function getPostscriptum()
    {
        return $this->postscriptum;
    }

    public function setPostscriptum($postscriptum)
    {
        $this->postscriptum = $postscriptum;

        return $this;
    }

    public function getAmpSellerImage()
    {
        return $this->ampSellerImage;
    }

    public function setAmpSellerImage(AmpSellerImage $ampSellerImage)
    {
        $this->ampSellerImage = $ampSellerImage;

        return $this;
    }
}

